Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## chrriis.dj.nativeswing.swtimpl.components
Enum JSyntaxHighlighter.ContentLanguage

    java.lang.Object
      java.lang.Enum<JSyntaxHighlighter.ContentLanguage>
          chrriis.dj.nativeswing.swtimpl.components.JSyntaxHighlighter.ContentLanguage

All Implemented Interfaces:
  Serializable, Comparable<JSyntaxHighlighter.ContentLanguage>

Enclosing class:
  JSyntaxHighlighter

    public static enum JSyntaxHighlighter.ContentLanguage

extends Enum<JSyntaxHighlighter.ContentLanguage>

Enum Constant Summary
`Cpp`
`CSharp`
`CSS`
`Delphi`
`HTML`
`Java`
`Javascript`
`PHP`
`Python`
`Ruby`
`SQL`
`VB`
`XML`

Method Summary
`static JSyntaxHighlighter.ContentLanguage` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JSyntaxHighlighter.ContentLanguage[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Cpp

    public static final JSyntaxHighlighter.ContentLanguage Cpp

### CSharp

    public static final JSyntaxHighlighter.ContentLanguage CSharp

### CSS

    public static final JSyntaxHighlighter.ContentLanguage CSS

### Delphi

    public static final JSyntaxHighlighter.ContentLanguage Delphi

### Java

    public static final JSyntaxHighlighter.ContentLanguage Java

### Javascript

    public static final JSyntaxHighlighter.ContentLanguage Javascript

### PHP

    public static final JSyntaxHighlighter.ContentLanguage PHP

### Python

    public static final JSyntaxHighlighter.ContentLanguage Python

### Ruby

    public static final JSyntaxHighlighter.ContentLanguage Ruby

### SQL

    public static final JSyntaxHighlighter.ContentLanguage SQL

### VB

    public static final JSyntaxHighlighter.ContentLanguage VB

### XML

    public static final JSyntaxHighlighter.ContentLanguage XML

### HTML

    public static final JSyntaxHighlighter.ContentLanguage HTML

Method Detail

### values

    public static JSyntaxHighlighter.ContentLanguage[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (JSyntaxHighlighter.ContentLanguage c : JSyntaxHighlighter.ContentLanguage.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static JSyntaxHighlighter.ContentLanguage valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD